**Source URL:** https://limited.veevavault.dev/medical/vault-api/api-reference/24.3/workflows/retrieve-workflow-action-details.md

# Retrieve Workflow Action Details



Retrieve details about a workflow action. For example, the `prompts` needed to complete a workflow action.

<Endpoint path="/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{workflow_id}` | The workflow id field value. |
| `{workflow_action}` | The `name` of the workflow action. To get this value, you can [Retrieve Workflow Actions](/vault-api/api-reference/24.3/workflows/retrieve-workflow-actions). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET "Authorization: {SESSION_ID}" \
  https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/1801/actions/removecontent

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "removecontent",
       "label": "Remove Content",
       "controls": [
           {
               "label": "Documents",
               "type": "documents",
               "prompts": [
                   {
                       "name": "documents__sys",
                       "label": "Documents",
                       "required": true
                   }
               ],
               "current_values": [
                   {
                       "document_id__v": "67"
                   },
                   {
                       "document_id__v": "41"
                   }
               ]
           }
       ]
   }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response lists all prompts required to complete the workflow action. If the workflow action does not require any prompts, the response will only list SUCCESS. In the example response, the `removecontent` workflow action requires a value for `contents__sys`.



---

**Previous:** [Retrieve Workflow Actions](/medical/vault-api/api-reference/24.3/workflows/retrieve-workflow-actions)  
**Next:** [Initiate Workflow Action](/medical/vault-api/api-reference/24.3/workflows/initiate-workflow-action)